#include "max11131.h"

unsigned int data[16] = {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};                       // Hier sollen die Messdaten gespeichert werden



void main(void)
{ 
  WDTCTL = WDTPW + WDTHOLD;                                                      // Stop watchdog timer to prevent time out reset
  
  MAX11131_SPI_init();                                                           // Initialsiere SPI
  MAX11131_init();                                                               // InitialisiereMAX11131
  
  while(1)                                                                       // Endlosschleife
  {
    for(char i = 0; i < 16; i++) data[i] = MAX11131_get_ADC_eins(i);             // 16-AD-Werte einzelnt anfrdern
    if(data[0] == 1234)                                                          // Sinlose Abrage ...
    {                                                                            // ...
      _NOP();                                                                    // Setze hier Breakpoint um Ergebnis zu Prfen.-
    } // if
    
    __delay_cycles(1000000);                                                     // Warte 1 Sekunde
  } // while
}
